import Vue from 'vue'
import Vuex from 'vuex'
import axios from "axios"

Vue.use(Vuex)

// 创建一个新的 store 实例
const store = new Vuex.Store({
	// 状态数据声明
	state () {
		return {
			phone :'',
		}
	},
	// 在 mutations 内封装数据更新方法
	mutations: {
		setphone(state,phone){
            state.phone=phone 
        }
	},
    actions:{
        vlogin(context,form){
            console.log(form)
            return new Promise((resolve,reject)=>{//Promise异步任务执行 抛出错误
                axios.post(//axios的基本操作
                "http://132.232.92.186:8888/api/login",
                `number=${form.number}&password=${form.password}`
                ).then(result=>{
                console.log(result)
                if(result.status>=200 && result.status<300){
                    resolve();//抛出正确
                }else{
                    reject(result.data);//抛出错误
                }
                })
            })
        }
    }
});
// 导出状态对象
export default store